
{% extends "dashboard/base.html" %}

{% load i18n %}
{% load bootstrap %}
{% load static %}


{% block stylesheet %}
<link href="{% static 'css/plugins/footable/footable.core.css' %}" rel="stylesheet">
{% endblock stylesheet %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Propuestas de Proyecto" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Propuestas de Proyecto" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}
<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title yellow-bg">
                <h5 style="font-size:20px;">Propuestas de Proyectos Pendientes</h5>
                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
                <input type="text" class="form-control input-sm m-b-xs" id="filter"
                               placeholder="Buscar propuesta de proyecto">
                <div class="project-list">
                    <table class="footable table table-stripped" data-page-size="5" data-filter=#filter>
                        <thead>
                        <tr>
                            <th>Imagen</th>
                            <th>Título</th>
                            <th>Fecha</th>
                            <th>Información adicional</th>
                            <th>Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for project in Projects_ER %}
                        <tr>
                            <td class="col-md-1" style="text-align:center;">
                                <img alt="image" class="img-circle" style="width:50%" src="{% static 'img/FaviconUNAB.png' %}">
                            </td>
                            <td class="col-md-3 project-title">
                                <a>{{project.name}}</a>
                                <br/>
                                <small>Autor: {{project.author.first_name}} {{project.author.last_name}}</small>
                                <br>
                            </td>
                            <td class="col-md-2"><small>Fecha creación: {{project.date|date:"d-m-Y"}}</small></td>
                            <td class="col-md-3 project-completion">
                                    <small>Facultad: {{project.faculty}} </small>
                                    <br>
                                    <small>Carrera: {{project.carreer}}</small>
                                    <br>
                                    <small>Profesor guía: {{project.guide_teacher}}</small>
                            </td>
                            <td class="col-md-3 project-actions" style="text-align:left">
                                {% if project.status == "EP" %}
                                <a class="btn btn-warning btn-sm"><i class="fa fa-clock-o"></i> En Espera De Profesor </a>
                                {% else %}
                                <a href="#" class="btn btn-success btn-sm" data-project_id="{{project.pk}}" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-info-circle"></i> Detalles </a>
                                    {% if project.guide_teacher.rut == 0 %}
                                    <a href="{% url 'teacher_dessignment' project.pk %}" class="btn btn-primary btn-sm"><i class="fa fa-exclamation"></i> Asignar Profesor </a>
                                    {% else %}
                                    <a href="{% url 'project_approve' project.pk %}" class="btn btn-primary btn-sm"><i class="fa fa-check"></i> Aprobar </a>
                                    {% endif %}
                                    <a href="{% url 'project_refuse' project.pk %}" class="btn btn-danger btn-sm"><i class="fa fa-times"></i> Rechazar </a>
                                {% endif %}
                            </td>
                        </tr>
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="5">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title navy-bg" id="table_AP">
                <h5 style="font-size:20px;">Propuestas de Proyectos Aprobadas</h5>
                <div class="ibox-tools">
                    <a class="collapse-link" id="table_approve">
                        <i class="fa fa-chevron-down" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content" style="display:none;">
                <input type="text" class="form-control input-sm m-b-xs" id="filter"
                               placeholder="Buscar propuesta de proyecto">
                <div class="project-list">
                    <table class="footable table table-stripped" data-page-size="5" data-filter=#filter>
                        <thead>
                        <tr>
                            <th>Imagen</th>
                            <th>Título</th>
                            <th>Fecha</th>
                            <th>Información adicional</th>
                            <th>Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for project in Projects_AC %}
                        <tr>
                            <td class="col-md-1" style="text-align:center;">
                                <img alt="image" class="img-circle" style="width:50%" src="{% static 'img/FaviconUNAB.png' %}">
                            </td>
                            <td class="col-md-5 project-title">
                                <a>{{project.name}}</a>
                                <br/>
                                <small>Autor: {{project.author.first_name}} {{project.author.last_name}}</small>
                                <br>
                            </td>
                            <td class="col-md-2"><small>Fecha creación: {{project.date|date:"d-m-Y"}}</small></td>
                            <td class="col-md-3 project-completion">
                                    <small>Facultad: {{project.faculty}} </small>
                                    <br>
                                    <small>Carrera: {{project.carreer}}</small>
                                    <br>
                                    <small>Profesor guía: {{project.guide_teacher}}</small>
                            </td>
                            <td class="col-md-1 project-actions" style="text-align:left">
                                <a  href="#" class="btn btn-success btn-sm" data-project_id="{{project.pk}}" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-info-circle"></i> Detalles </a>
                            </td>
                        </tr>
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="5">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox">
            <div class="ibox-title red-bg" id="table_RE">
                <h5 style="font-size:20px;">Propuestas de Proyectos Rechazadas</h5>
                <div class="ibox-tools">
                    <a class="collapse-link" id="table_refuse">
                        <i class="fa fa-chevron-down" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content" style="display:none;">
                <input type="text" class="form-control input-sm m-b-xs" id="filter"
                               placeholder="Buscar propuesta de proyecto">
                <div class="project-list">
                    <table class="footable table table-stripped" data-page-size="5" data-filter=#filter>
                        <thead>
                        <tr>
                            <th>Imagen</th>
                            <th>Título</th>
                            <th>Fecha</th>
                            <th>Información adicional</th>
                            <th>Acciones</th>
                        </tr>
                        </thead>
                        <tbody>
                        {% for project in Projects_RE %}
                        <tr>
                            <td class="col-md-1" style="text-align:center;">
                                <img alt="image" class="img-circle" style="width:50%" src="{% static 'img/FaviconUNAB.png' %}">
                            </td>
                            <td class="col-md-4 project-title">
                                <a>{{project.name}}</a>
                                <br/>
                                <small>Autor: {{project.author.first_name}} {{project.author.last_name}}</small>
                                <br>
                            </td>
                            <td class="col-md-2"><small>Fecha creación: {{project.date|date:"d-m-Y"}}</small></td>
                            <td class="col-md-3 project-completion">
                                    <small>Facultad: {{project.faculty}} </small>
                                    <br>
                                    <small>Carrera: {{project.carreer}}</small>
                                    <br>
                                    <small>Profesor guía: {{project.guide_teacher}}</small>
                            </td>
                            <td class="col-md-2 project-actions" style="text-align:left">
                                <a  href="#" class="btn btn-success btn-sm" data-project_id="{{project.pk}}" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-info-circle"></i> Detalles </a>
                                <a href="{% url 'project_refuse' project.pk %}" class="btn btn-danger btn-sm"><i class="fa fa-times"></i> Rechazar </a>
                            </td>
                        </tr>
                        {% endfor %}
                        </tbody>
                        <tfoot>
                        <tr>
                            <td colspan="5">
                                <ul class="pagination pull-right"></ul>
                            </td>
                        </tr>
                        </tfoot>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>



<!-- modal block -->

 <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <img alt="image" class="img-circle img-responsive center-block " src="{% static 'img/FaviconUNAB.png' %}">
                  <h1 class="text-center" id="titulo-proyecto"></h1>
              </div>
              <div class="modal-body">
                  <strong>Descripción</strong>
                  <div class="well">
                      <text id="description_project"></text>
                  </div>
                  <div class="row">
                    <div class="col-md-7">
                        <h5 id=cupos>
                            <strong>Cupos: </strong>
                            1/1
                        </h5>
                        <div class="progress progress-striped active">
                            <div style="width: 100%" aria-valuemax="100" aria-valuemin="0" aria-valuenow="100" role="progressbar" class="progress-bar progress-bar-navy">
                                <span class="sr-only">40% Complete (success)</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-5" style="text-align:center;margin-top:22px;">
                        <a class="btn btn-warning btn-sm">Descargar Detalle
                            <i class="fa fa-download"></i>
                        </a>
                    </div>
                  </div>
                  <div class="row">                                     
                      <div class="col-md-8">
                          <h5 id=autor>
                              <strong>Autor: </strong>
                          </h5>
                      </div>
                      <div class="col-md-4">
                          <h5 id="facultad">
                              <strong>Facultad: </strong>
                          </h5>
                      </div>
                  </div>
                  <div class="row">                                     
                      <div class="col-md-8">
                          <h5 id="carrera">
                              <strong>Carrera: </strong>
                          </h5>
                      </div>
                      <div class="col-md-4">
                          <h5 id="profesor-guia">
                              <strong>Profesor Guía: </strong>
                          </h5>
                      </div>
                  </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
              </div>
            </div>
          </div>
        </div>


<!-- end modal block -->
{% endblock content %}

{% block javascript %}

<script src="{% static 'js/plugins/footable/footable.all.min.js' %}"></script>
<script>
    $(document).ready(function() {
        
        $('.footable').footable();
        
         $('#exampleModal').on('show.bs.modal', function (event) {

            var button = $(event.relatedTarget) // Button that triggered the modal
            
            var project_id = button.data('project_id') // Extract info from data-* attributes
            var modal = $(this);
            // moredata: 'moredata',
            data = {
                project_id : project_id,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
            $.post("{% url 'project_detail' %}",data,function(response){
                project_name = 'Demo' ;
                modal.find('.modal-title').text('Detalle de projecto ' + project_id);
                $('#autor').html("<strong>Autor: </strong>" + response.autor);
                $('#description_project').html(response.descripcion);
                $('#titulo-proyecto').html(response.titulo)
                $('#carrera').html("<strong>Carrera: </strong>" + response.carrera)
                $('#facultad').html("<strong>Facultad: </strong>" + response.facultad)
                $('#profesor-guia').html("<strong>Profesor: </strong>" + response.profesor)
                $('#cupos').html("<strong>Cupos: </strong>" + response.cupos_disponible + "/" + response.cupos_total)
                $('#pogress_cupo').html('<div style="width: 100%" aria-valuemax="' + response.cupos_totales + '" aria-valuemin="0" aria-valuenow="' + response.cupos_disponible + '" role="progressbar" class="progress-bar progress-bar-navy"><span class="sr-only">40% Complete (success)</span></div>');
//                modal.find('.modal-body').html(html);
            });
        })

    });

</script>

{% endblock javascript %}


    